找回密码 注册 QQ登录
开思网工业级高精度在线3D打印服务

iCAx开思网

CAD/CAM/CAE/设计/模具 高清视频【积分说明】如何快速获得积分?在线3D打印服务,一键上传,自动报价 
查看: 352|回复: 6

[求助] 最近一运行宏就弹出:编译错误 找不到工程或库。

[复制链接]
发表于 2021-6-19 14:03:32 | 显示全部楼层 |阅读模式
本帖最后由 xl8310 于 2021-6-19 14:09 编辑

现在用的是2016版,一按就弹出这个窗口,宏也没有运行。在2018版本上就没有这个问题。有大佬赐教吗?

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?注册

x
发表于 2021-6-19 16:31:46 | 显示全部楼层
本帖最后由 zhang961670949 于 2021-6-19 16:37 编辑

巧了,你在贴吧问过我,你需要设置运行库哦。去年我搬运这个宏用的好像用的是2018版,打开工具 - 引用,把丢失的引用重新选一下

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?注册

x
发表于 2021-6-19 16:35:25 | 显示全部楼层
选取圆心宏,这个是我在SW官网论坛找到再搬运到贴吧的,没想到也合适你啊
 楼主| 发表于 2021-6-21 08:30:46 | 显示全部楼层
zhang961670949 发表于 2021-6-19 16:35
选取圆心宏,这个是我在SW官网论坛找到再搬运到贴吧的,没想到也合适你啊

哈哈,我在贴吧问你,好久没有回复,我就上这里来问问。谢谢
 楼主| 发表于 2021-6-21 09:40:35 | 显示全部楼层
我给替换成2017版的库 又能用了 困扰了小白我好久
发表于 2021-6-21 09:53:11 | 显示全部楼层
引用了低版本sw库的宏,在高版本sw中可以直接运行,无需修改引用,这叫向下兼容。
反之,引用了高版本sw库的宏,在低版本sw中无法直接运行,必须修改引用,并且修改引用后也不一定能运行。
 楼主| 发表于 2021-6-22 08:17:21 | 显示全部楼层
xiaocake 发表于 2021-6-21 09:53
引用了低版本sw库的宏,在高版本sw中可以直接运行,无需修改引用,这叫向下兼容。
反之,引用了高版本sw库 ...

谢谢大佬
您需要登录后才可以回帖 登录 | 注册

本版积分规则

3D打印手板模型快速制作服务,在线报价下单!

QQ 咨询|手机版|联系我们|iCAx开思网  

GMT+8, 2021-8-4 00:50 , Processed in 0.022050 second(s), 9 queries , Gzip On, Redis On.

Powered by Discuz! X3.3

© 2002-2021 www.iCAx.org

快速回复 返回顶部 返回列表